import 'package:flutter/material.dart';

import '../text/body.dart';

class CheckboxField extends StatefulWidget {
  final String labelText;
  final bool initialValue;
  final void Function(bool) onChanged;

  const CheckboxField({
    super.key,
    required this.labelText,
    required this.initialValue,
    required this.onChanged,
  });

  @override
  State<CheckboxField> createState() => _CheckboxFieldState();
}

class _CheckboxFieldState extends State<CheckboxField> {
  bool _isChecked = false;

  @override
  void initState() {
    super.initState();
    _isChecked = widget.initialValue;
  }

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        setState(() => _isChecked = !_isChecked);
        widget.onChanged(_isChecked);
      },
      child: Row(
        children: [
          Checkbox(
            value: _isChecked,
            onChanged: (v) {
              setState(() => _isChecked = !_isChecked);
              widget.onChanged(_isChecked);
            },
          ),
          BodyText(widget.labelText),
        ],
      ),
    );
  }
}
