import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class NumberField extends StatelessWidget {
  final int? initialValue;
  final FormFieldValidator? validator;
  final bool? autofocus;
  final void Function(int?) onChanged;
  final String labelText;

  const NumberField({
    super.key,
    this.initialValue,
    this.validator,
    this.autofocus,
    required this.onChanged,
    required this.labelText,
  });

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      initialValue: initialValue.toString(),
      autofocus: autofocus ?? false,
      onChanged: (v) => onChanged(int.tryParse(v)),
      validator: validator,
      keyboardType: TextInputType.number,
      inputFormatters: [
        FilteringTextInputFormatter.digitsOnly,
      ],
      decoration: InputDecoration(
        labelText: labelText,
      ),
    );
  }
}
