import 'package:flutter/material.dart';

class MediaConstraints {
  final BuildContext context;
  final double screenWidth;

  MediaConstraints(
    this.context,
  ) : screenWidth = MediaQuery.of(context).size.width;

  bool get isSmall => screenWidth < 800;
  bool get isLarge => screenWidth > 800;
}

class MediaLayout extends StatelessWidget {
  final Widget Function(BuildContext, MediaConstraints) builder;

  const MediaLayout({
    super.key,
    required this.builder,
  });

  @override
  Widget build(BuildContext context) {
    return builder(
      context,
      MediaConstraints(context),
    );
  }
}
