import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'layout/spaced_row.dart';

import '../navigation/logic.dart';
import '../navigation/route_path.dart';

class StandardMenuItem<User> extends StatelessWidget {
  final IconData iconData;
  final String titleText;
  final RoutePath routePath;

  const StandardMenuItem({
    Key? key,
    required this.iconData,
    required this.titleText,
    required this.routePath,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        Provider.of<NavigationLogic>(context, listen: false)
            .setRoutePath(routePath);
      },
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SpacedRow(
          children: [
            Icon(iconData),
            Text(titleText),
          ],
        ),
      ),
    );
  }
}
