import 'package:flutter/material.dart';

import 'paths_builder.dart';
import 'route_path.dart';

class StandardRouteInformationParser extends RouteInformationParser<RoutePath> {
  final PathsBuilder rootPaths;

  StandardRouteInformationParser(this.rootPaths);

  @override
  Future<RoutePath> parseRouteInformation(
    RouteInformation routeInformation,
  ) async {
    var uri = Uri.parse(routeInformation.location ?? '');
    return rootPaths.build(uri.path, uri);
  }

  @override
  RouteInformation restoreRouteInformation(
    RoutePath configuration,
  ) {
    return RouteInformation(location: configuration.path);
  }
}
